<h1></h1>
<form [formGroup]="form" (ngSubmit)="submit()">

  <div class="form-group">
      <label for="name">Name</label>
      <input formControlName="name" id="name" type="text" class="form-control">
      <div *ngIf="formControls['name'].touched && formControls['name'].invalid" class="alert alert-danger">
          <div *ngIf="formControls['name'].errors && formControls['name'].errors['required']">El nombre es requerido</div>
          <div *ngIf="formControls['name'].errors && formControls['name'].errors['minlength']">El nombre debe tener al menos 3 caracteres</div>
      </div>
  </div>

  <div class="form-group">
      <label for="email">Email</label>
      <input formControlName="email" id="email" type="text" class="form-control">
      <div *ngIf="formControls['email'].touched && formControls['email'].invalid" class="alert alert-danger">
          <div *ngIf="formControls['email'].errors && formControls['email'].errors['required']">El correo electrónico es requerido</div>
          <div *ngIf="formControls['email'].errors && formControls['email'].errors['email']">Por favor, ingrese una dirección de correo válida</div>
      </div>
  </div>

  <div class="form-group">
      <label for="body">Body</label>
      <textarea formControlName="body" id="body" type="text" class="form-control">
      </textarea>
      <div *ngIf="formControls['body'].touched && formControls['body'].invalid" class="alert alert-danger">
          <div *ngIf="formControls['body'].errors && formControls['body'].errors['required']">El llenado del cuerpo es requerido</div>
      </div>
  </div>
  <button class="btn btn-primary" [disabled]="form.invalid" type="submit">Submit</button>
</form>
